Bug 467222 - smartd-conf should set "-n standby" option by default
smartd-conf should set "-n standby" option by default
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: smartmontools (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Michal Hlavinka
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-16 09:35 EDT by Kieran Clancy
Modified: 2009-11-19 06:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-19 06:22:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kieran Clancy 2008-10-16 09:35:28 EDT
Description of problem:
If a disk goes into standby, smartd will wake them up regularly, which at least for my disks causes them to spin up. People want smartd to tell them if their disks are failing, not be the cause of their disk failing (which an excessive number of spin-ups will do).

Simply add "-n standby" to the uncommented default line for smartd_conf_options in /etc/sysconfig/smartmontools and set it in smartd-conf.py. Drives in standby are unlikely to have new failures, so I think this is safe. It may even be worth putting "-n standby,q" so that it doesn't log a message when this occurs (potentially spinning up a disk holding the logs).

Given that standby is not even enabled on disks by default, this option should actually not affect most people. For those who have configured their disks to go into standby, having this is a sensible default which will help prolong the life of disks.

Version-Release number of selected component (if applicable):
smartmontools-5.38-2.fc9.x86_64
smartmontools-config-5.38-2.fc9.x86_64
Comment 1 Michal Hlavinka 2008-10-20 09:07:03 EDT
Yes, it's the default option that can make your disk live longer, but I'm not sure if it's a good default option globally...

There are possibilities a disk misses all tests for long time, an example:
backup server, back up job runs every day in 3:00 am for 10 minutes.
After next 10 minutes disk goes into standby. If smartd checks this disk 
at 2:57 and then periodically every 30 minutes, disk will be always in 
standby mode.

It's not bad only for backup server. It can be just one disk in your computer used for backups or other purposes.

Resolution: It's "wontfix" for me just now, but I can see a good aspect in this, so I've sent an email to upstream for new feature - new option for "-n" parameter. Something like "-n standby,10" (skip at most 10 tests).
Comment 2 Kieran Clancy 2008-10-20 09:30:35 EDT
That's a good point.

Is there any chance that the kernel could be asked when the last time the disk woke up from standby? If the disk hasn't been active since last time it checked, then smartd could happily continue to skip that disk. If a kernel didn't support being asked about the last wakeup time, smartd could just fall back on a "skip at most X tests" behaviour.
Comment 3 Michal Hlavinka 2008-11-05 02:04:17 EST
I've created patch for this. It was accepted by upstream and pushed into the cvs 2008-11-04, so it'll probably occurs in new release (5.39).
Comment 4 Bug Zapper 2009-06-09 22:58:54 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Michal Hlavinka 2009-06-10 04:15:48 EDT
I'm moving this to rawhide as feature. Patch is already in upstream cvs, we're waiting only for new upstream release. Keeping this bug as tracker for this.
Comment 6 Michal Hlavinka 2009-11-19 06:22:54 EST
I believe new smartmontools version is going to be released in time for Fedora 13, so I've updated smartmontools to svn snapshot for testing in rawhide. This brings (finally) this feature. Once new smartmontools are officially released, I'll update also older Fedora releases.

Note You need to log in before you can comment on or make changes to this bug.